Subject: Re: bug#43004: 28.0.50; Test failures due to symlinked Emacs sources

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Oct 2020 16:37:46 +0200

> I looked at them again and, by trial and error, came up with the
> attached patch, with which I now get no unexpected failures when running
> the tests in batch mode, though when run interactively
> xref-elisp-test-find-defs-defgeneric-implicit-generic still fails.  But
> in any case I wouldn't blindly install this patch; someone who knows the
> xref code really needs to look at what's going on here.

Dmitry, could you have a look at this patch to the xref tests?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no